Get schema group

Gets a specific schema group from an Azure Event Hubs namespace.

Request

Method Request URI
GET https://{eventhubNamespace}.servicebus.windows.net/$schemagroups/{schemaGroup}

Request headers

Set content-type to application/json. Set authorization header as shown in the Get a Microsoft Entra token article.

Response

The response includes an HTTP status code, a set of response headers, and a response body.

Response Codes

Code Description
200 Success
401 Authorization failure
500 Internal error.

Response Body

If the request is successful, the response body is as shown in the following example. If the request isn't successful, the body contains an error code and error message.

Example for a successful response

{
    "UpdatedAtUtc": "{timestamp}",
    "CreatedAtUtc": " {timestamp} ",
    "ETag": "{eTag}",
    "GroupProperties": "{groupProperties}",
    "SchemaCompatibility": "{schemaCompatibility}",
    "SchemaType": "{schemaType}"
}

Examples for 401 failure response

{
    "error": {
        "code": "ErrorInRequest",
        "message": "Generic:.TrackingId:fe0fc29b-a960-4734-9044-c9ab991329ef_G0,SystemTracker: {eventhubNamespace}.servicebus.windows.net:$schemagroups,Timestamp:{timestamp}"
    }
}

Example for 500 failure response

{
    "error": {
        "code": "InternalServerError",
        "message": "TrackingId:df04a6d0-8cb8-49ea-95ce-1765429b7d04_G0,SystemTracker: {eventhubNamespace}.servicebus.windows.net:$schemagroups,Timestamp:{timestamp}"
    }
}